Show / Hide Table of Contents

# Delegate PropertyAccessor<T, U>.Setter

A setter for a property.

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void Setter(ref T obj, U val);

##### Parameters

Type | Name | Description
--- | --- | ---
T | obj | the object it is a member of
U | val | the new property value

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])